using GrapeCity.Documents.Excel;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

JObject ReadJSonData(string jsonFileName)
{
    try
    {
        JObject jObject;
        // Read JSON directly from a file
        using (StreamReader file = System.IO.File.OpenText(jsonFileName))
        {
            using (JsonTextReader reader = new JsonTextReader(file))
            {
                jObject = (JObject)JToken.ReadFrom(reader);
            }
            return jObject;
        }

    }
    catch (Exception ex)
    {
        Console.WriteLine("Error occured: " + ex.Message);
        return null;
    }
}

JObject jObject = ReadJSonData("spread_js_exported.json");
Console.Write(jObject.ToString());


Workbook workbook = new Workbook();
workbook.FromJson(jObject.ToString());
workbook.Save("Export.xlsx");

var builder = WebApplication.CreateBuilder(args);
var app = builder.Build();

app.MapGet("/", () => "Hello World!");

app.Run();

